/*
	Author: Djeeberjr

	Description:
	Makes object a teleporter

	Effect: Local

	Parameter(s):
		0: OBJECT - the gamelogic 
		1 (optional): STRING - Teleport name
*/ 

params ["_gl",["_name",""]];

if(_name == "")then{
	_name = (getPos _gl) call BIS_fnc_locationDescription;
};

_pushArray = [
	getPos _gl, 					//Pos
	DLib_fnc_teleporterCallback,	//code
	_name,							//name
	"",								//description
	"",								//mission's player ???
	"",								//Path to overview image
	1,								//Size multiplier for overview image
	[_gl]							//Params 
];

if(isNil "DLIB_teleport")then{
	DLIB_teleport = [_pushArray];
}else{
	DLIB_teleport pushBack _pushArray;
};

{

	_x addAction ["Open map",{
		params ['_target', '_caller', '_actionId', '_arguments'];
		[
			findDisplay 46,
			getPos _target,
			DLIB_teleport,
			[],
			[],
			[],
			0,
			false,
			1,
			false,
			"Teleport to location"
		] call BIS_fnc_StrategicMapOpen;
	},[],5,true,true,"","true",5];

} forEach (synchronizedObjects _gl);
